package com.supwisdom.dlpay.ncmgr.dao;

import com.supwisdom.dlpay.ncmgr.domain.TBuilding;
import com.supwisdom.dlpay.ncmgr.domain.TNcDevice;
import com.supwisdom.dlpay.system.page.Pagination;

import java.util.List;
import java.util.Map;

public interface NcDeviceDao {
    public Pagination getNcDeviceWithPage(String devname, int pageNo, int pageSize, String buildingid, String devtype);

    public List<TBuilding> getAllBuilding();

    public TBuilding getBuidingById(String id);

    public List<TNcDevice> getDevByType(String type);

    public TNcDevice findDevById(int id);

    public TNcDevice validDevName(int devid,String devname);

    public TNcDevice validDevPhyid(int devid,String devPhyid);

    public TNcDevice validDevNo(int fdevid,int devno,int devid);

    public boolean updateDevice(TNcDevice bean);

    public int getMaxId();

    public boolean saveDevice(TNcDevice bean);

    public TNcDevice getDevInfoByDevid(int devid);

    public boolean delDevById(int devid);
}
