package com.supwisdom.dlpay.ncmgr.dao;

import com.supwisdom.dlpay.ncmgr.domain.TNcWeektime;
import com.supwisdom.dlpay.system.page.Pagination;

import java.util.List;

public interface NcWeekTimeDao {

    public Pagination getNcWeekTimeWithPage(String time, int pageNo, int pageSize);

    public TNcWeektime findByWeekTimeId(int id);

    public TNcWeektime findByWeekTimeName(String name);

    public int getMaxWeekId();

    public boolean saveWeektime(TNcWeektime bean);

    public TNcWeektime findByWeekIdAndName(int id,String name);

    public boolean updateWeektime(TNcWeektime bean);

    public List getDevWeekByWeekid(int id);

    public boolean delByWeekId(int id);
}
